at.chipkarte.client.vdas.soap

## Class VersichertendatenSvPerson

- Object
- - at.chipkarte.client.vdas.soap.VersichertendatenSvPerson

-     public class VersichertendatenSvPerson
      extends Object

  Enthält die Daten zu einem Patienten. Die Daten stammen vom e-card-Serversystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersichertendatenSvPerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckNachname()` DruckNachname des Patienten im Datensatz von UTF-8.
    `String` | `getDruckTitelHinten()` DruckTitel hinten des Patienten im Datensatz von UTF-8.
    `String` | `getDruckTitelVorne()` DruckTitel vorne des Patienten im Datensatz von UTF-8.
    `String` | `getDruckVorname()` DruckVorname des Patienten im Datensatz von UTF-8.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGeschlecht()` Geschlecht des Patienten.
    `String` | `getNachname()` Nachname des Patienten im reduzierten Zeichensatzumfang von Latin-1.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getTitelHinten()` Titel hinten des Patienten im reduzierten Zeichensatzumfang von Latin-1.
    `String` | `getTitelVorne()` Titel vorne des Patienten im reduzierten Zeichensatzumfang von Latin-1.
    `String` | `getTodesdatum()` Datumsangabe des Todes des Patienten.
    `String` | `getTodesdatumBestaetigt()` Gibt an, ob das angegebene Todesdatum bestätigt ist (1 - JA) oder nicht (0 - NEIN).
    `String` | `getVorname()` Vorname des Patienten im reduzierten Zeichensatzumfang von Latin-1.
    `void` | `setDruckNachname(String druckNachname)`
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setNachname(String nachname)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setTodesdatum(String todesdatum)`
    `void` | `setTodesdatumBestaetigt(String todesdatumBestaetigt)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersichertendatenSvPerson

          public VersichertendatenSvPerson()

  - ### Method Detail

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### getGeschlecht

          public String getGeschlecht()

      Geschlecht des Patienten.
      Mögliche Werte siehe `Geschlecht`.
      Format: 1-stellig
      Returns:
        Geschlechtscode

    - #### getNachname

          public String getNachname()

      Nachname des Patienten im reduzierten Zeichensatzumfang von Latin-1. Alle anderen Sonderzeichen sind nicht enthalten.
      Returns:
        Nachname

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten des Patienten im reduzierten Zeichensatzumfang von Latin-1. Alle anderen Sonderzeichen sind nicht enthalten.
      Returns:
        Titel hinten

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne des Patienten im reduzierten Zeichensatzumfang von Latin-1. Alle anderen Sonderzeichen sind nicht enthalten.
      Returns:
        Titel vorne

    - #### getVorname

          public String getVorname()

      Vorname des Patienten im reduzierten Zeichensatzumfang von Latin-1. Alle anderen Sonderzeichen sind nicht enthalten.
      Returns:
        Vorname

    - #### getDruckNachname

          public String getDruckNachname()

      DruckNachname des Patienten im Datensatz von UTF-8.
      Returns:
        DruckNachname

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      DruckTitel hinten des Patienten im Datensatz von UTF-8.
      Returns:
        DruckTitel hinten

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      DruckTitel vorne des Patienten im Datensatz von UTF-8.
      Returns:
        DruckTitel vorne

    - #### getDruckVorname

          public String getDruckVorname()

      DruckVorname des Patienten im Datensatz von UTF-8.
      Returns:
        DruckVorname

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Returns:
        Sozialversicherungsnummer

    - #### getTodesdatum

          public String getTodesdatum()

      Datumsangabe des Todes des Patienten.
      Das Feld wird nur im Falle des Todes des Patienten gesetzt, sonst ist es leer.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Todesdatum

    - #### getTodesdatumBestaetigt

          public String getTodesdatumBestaetigt()

      Gibt an, ob das angegebene Todesdatum bestätigt ist (1 - JA) oder nicht (0 - NEIN).
      Wenn der Patient nicht als verstorben geführt wird, bleibt dieses Feld leer (nicht null).
      Mögliche Werte siehe `TodesdatumBestaetigt`.
      Format: 1-stellig
      Returns:
        TodesdatumBestaetigt Code

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### setNachname

          public void setNachname(String nachname)

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setDruckNachname

          public void setDruckNachname(String druckNachname)

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setTodesdatum

          public void setTodesdatum(String todesdatum)

    - #### setTodesdatumBestaetigt

          public void setTodesdatumBestaetigt(String todesdatumBestaetigt)